import clr
import math
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading PercentToHoneywellDarknessv2 Converter")

class PercentToHoneywellDarknessv2(Converter):

	def Execute(self, myList = [], *args):
		return math.ceil((int(myList[0]) * 30 ) / 100)

plugin = PercentToHoneywellDarknessv2("PercentToHoneywellDarknessv2")

store.AddConverter(plugin)